import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineCountOutputTypeSelectObjectSchema as ServiceLineCountOutputTypeSelectObjectSchema } from './ServiceLineCountOutputTypeSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => ServiceLineCountOutputTypeSelectObjectSchema).optional()
}).strict();
export const ServiceLineCountOutputTypeArgsObjectSchema = makeSchema();
export const ServiceLineCountOutputTypeArgsObjectZodSchema = makeSchema();
